org.keycloak.dom.saml.v1.protocol

## Class SAML11StatusType

- java.lang.Object
- - org.keycloak.dom.saml.v1.protocol.SAML11StatusType

- All Implemented Interfaces:
    Serializable

      public class SAML11StatusType
      extends Object
      implements Serializable

  Since:
    Jun 22, 2011
  Author:
    Anil.Saldhana@redhat.com
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SAML11StatusCodeType` | `statusCode`
    `protected CommonStatusDetailType` | `statusDetail`
    `protected String` | `statusMessage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11StatusType()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SAML11StatusCodeType` | `getStatusCode()`
    `CommonStatusDetailType` | `getStatusDetail()`
    `String` | `getStatusMessage()`
    `void` | `setStatusCode(SAML11StatusCodeType statusCode)`
    `void` | `setStatusDetail(CommonStatusDetailType statusDetail)`
    `void` | `setStatusMessage(String statusMessage)`
    `static SAML11StatusType` | `successType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### statusCode

          protected SAML11StatusCodeType statusCode

    - #### statusMessage

          protected String statusMessage

    - #### statusDetail

          protected CommonStatusDetailType statusDetail

  - ### Constructor Detail

    - #### SAML11StatusType

          public SAML11StatusType()

  - ### Method Detail

    - #### getStatusCode

          public SAML11StatusCodeType getStatusCode()

    - #### setStatusCode

          public void setStatusCode(SAML11StatusCodeType statusCode)

    - #### getStatusMessage

          public String getStatusMessage()

    - #### setStatusMessage

          public void setStatusMessage(String statusMessage)

    - #### getStatusDetail

          public CommonStatusDetailType getStatusDetail()

    - #### setStatusDetail

          public void setStatusDetail(CommonStatusDetailType statusDetail)

    - #### successType

          public static SAML11StatusType successType()

Copyright © 2020 JBoss by Red Hat. All rights reserved.